Incremental build with gatsby gives error

Hi,

I am trying out this new feature, however, I get this error from the picture attached:

Plugin “netlify-plugin-gatsby-cache” internal error
Error: Cannot cache /opt/build/repo because it is the current directory (/opt/build/repo) or a parent directory

I followed the instructions here https://www.netlify.com/blog/2020/04/23/enable-gatsby-incremental-builds-on-netlify/, except my gatsby already upgraded to 2.21.24.

Any ideas why is this happening and how to solve this? Thanks!

Actually I finally got it working by adding these to netlify.toml
[build.environment]
YARN_VERSION = “1.22.4”
NODE_VERSION = “12.16.3”

Perfect; thanks for feeding back!